/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package plate.wellmann.shop.persistence;

import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;

/**
 *
 * @author Patrick
 */
@Entity
public class Paper extends AbstractEntity{
    
    @Column(name="Bestellnummer")
    private String orderNR;
    
    @Column(name="Bestellnummer2")
    private String orderNR2;
    
    @Column(name="Betand")
    private int inStorage;
    
    @Column(name="Datum papier eingabe")
    private Date date;
    
    @Column(name="Euro Bestand")
    private int euroStorage;
    
    @Column(name="Format")
    private String format;
    
    @Column(name="Gewicht")
    private String weight;
    
    @Column(name="Laufrichtung")
    @Enumerated(EnumType.STRING)
    private Direction direction;
    
    @Column(name="Ort Papier")
    private String place;
    
    @Column(name="Papierlieferant")
    private String source;
    
    @Column(name="Papiername")
    private String name;
    
    @Column(name="Papierpreis ein")
    private BigDecimal priceBuy;
    
    @Column(name="Papiersorte")
    private String sort;
    
    @Column(name="Riesinhalt")
    private int riesCapacity;
    
    //Direction of the Paper
    public enum Direction {
        SB, BB
    }

    public String getOrderNR() {
        return orderNR;
    }

    public void setOrderNR(String orderNR) {
        this.orderNR = orderNR;
    }

    public String getOrderNR2() {
        return orderNR2;
    }

    public void setOrderNR2(String orderNR2) {
        this.orderNR2 = orderNR2;
    }

    public int getInStorage() {
        return inStorage;
    }

    public void setInStorage(int inStorage) {
        this.inStorage = inStorage;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public int getEuroStorage() {
        return euroStorage;
    }

    public void setEuroStorage(int euroStorage) {
        this.euroStorage = euroStorage;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public Direction getDirection() {
        return direction;
    }

    public void setDirection(Direction direction) {
        this.direction = direction;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPriceBuy() {
        return priceBuy;
    }

    public void setPriceBuy(BigDecimal priceBuy) {
        this.priceBuy = priceBuy;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public int getRiesCapacity() {
        return riesCapacity;
    }

    public void setRiesCapacity(int riesCapacity) {
        this.riesCapacity = riesCapacity;
    }
}
